<?php get_header(); ?>

	<!-- set main-content -->
	<div id="main-content">

		<!-- set left col -->
		<div id="content-container-left">
			<!-- set author block -->
			<div id="author-block">
				<div id="author-block-dialog">
					<p><strong><?php bloginfo('name'); ?></strong>: Insert a brief description of your blog, or yourself -- whichever. <a href="<?php bloginfo('url'); ?>/index.php/about">Read More</a></p>
				</div>
			</div>
			<!-- end author block -->
			
			<!-- set page navigation -->
			<div class="page-navigation">
				<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
				<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
				<!-- clear -->
				<div class="clear"></div>
			</div>
			<!-- end page navigation -->
			
			<?php if (have_posts()) : ?>
			
			<!-- set main-entry -->
			<div class="main-entry">
				<a name="continue"></a>
				<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
				<?php /* If this is a category archive */ if (is_category()) { ?>
				<h2>Archive for the &#8216;<?php single_cat_title(); ?>&#8217; Category</h2>
				
				<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
				<h2>Archive for <?php the_time('F jS, Y'); ?></h2>
				
				<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
				<h2>Archive for <?php the_time('F, Y'); ?></h2>
				
				<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
				<h2>Archive for <?php the_time('Y'); ?></h2>
				
				<?php /* If this is an author archive */ } elseif (is_author()) { ?>
				<h2>Author Archive</h2>
				
				<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
				<h2>Blog Archives</h2>
				<?php } ?>
			</div>
			<!-- end main-entry -->
					
			<?php while (have_posts()) : the_post(); ?>

			<!-- set entry -->
			<div class="entry">
				<div class="date">
					<span class="month-year"><?php the_time('M Y'); ?></span> <span class="day"><?php the_time('j'); ?></span>
				</div>
				<div class="entry-content">
					<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h3>
					<?php
						$excerpt = get_the_excerpt();
						$excerpt = truncate( $excerpt, 28 );
						echo "<p>" . $excerpt . "</p>";
					?>

					<div class="meta-bottom"><span class="comments"><a href="<?php comments_link('archive.php', TRUE); ?>" title="Leave a comment for <?php the_title()?>"><?php comments_number('(0) <strong>Comments</strong>','(1) <strong>Comment</strong>','(%) <strong>Comments</strong>'); ?></a></span> <span class="tags"><?php the_category(',') ?></span></div>
				</div>
			</div>
			<!-- end entry -->

			<?php endwhile; ?>
			
			<?php else : ?>
			
			<div class="main-entry">
				<a name="continue"></a>
				<h2 >Not Found</h2>
			</div>
			
			<?php endif; ?>
				
			<div class="clear"></div>

        </div>
		<!-- end left col -->
		
		<!-- set right-col -->
		<div id="content-container-right">
		
			<?php include (TEMPLATEPATH . "/searchform.php"); ?>

			<?php include (TEMPLATEPATH . "/categories.php"); ?>

			<?php include (TEMPLATEPATH . "/blogmeta.php"); ?>

		</div>
		<!-- end right-col -->

		<!-- set frame-grass -->
		<div id="frame-grass"></div>
		<!-- end frame-grass -->


		<!-- set main-lower-content -->
		<div id="main-lower-content">
			<!-- set lower-content-container -->
			<div id="lower-content-container">

			
				<?php include (TEMPLATEPATH . "/recentposts.php"); ?>
			
				<?php //include (TEMPLATEPATH . "/other.php"); ?>
			
				<?php include (TEMPLATEPATH . "/flickr.php"); ?>

			</div>				
			<!-- end lower-content-container -->
			
			<!-- clear -->
			<div class="clear"></div>
				
		</div>
		<!-- set main-lower-content -->

		<!-- clear: this is required so columns force main-content to encapsulate the content -->
		<div class="clear"></div>

	</div>
	<!-- end main-content -->	

<?php get_footer(); ?>
