<?php get_header(); ?>
	
	<!-- set main-content -->
	<div id="main-content">
		<!-- set left col -->
		<div id="content-container-left">
			<!-- set author block -->
			<div id="author-block">
				<div id="author-block-dialog">
					<p><strong><?php bloginfo('name'); ?></strong>: Insert a brief description of your blog, or yourself -- whichever. <a href="<?php bloginfo('url'); ?>/index.php/about">Read More</a></p>
				</div>
			</div>
			<!-- end author block -->
			
			<!-- set main-entry -->
			<div class="main-entry">
				<a name="continue"></a>
				<h2>Search Results</h2>
				<p>If you cannot find what you are looking for, check the archives or use the category list provided in the right side-bar to view postings by category.</p>
				<p><strong>Here are the results of your search:</strong></p>
			</div>
			<!-- end main-entry -->

		<?php 
			// counter used in loop to render recent article different from previous articles
			$i = 1; // not zero-based so it can skip the recent entry
			$class = "entry";
		?>
			 
		<?php if (have_posts()) : ?>
			<?php while (have_posts()) : the_post(); ?>
			 
			<?php 
				if ( $i % 2 ) { 
					$class = "";
				}else{
					$class = "-alt";
				} 
			?>
			
			<!-- set entry -->
			<div class="searchresult">
				<div class="searchresult-top<?php echo $class ?>"></div>
				<div class="searchresult-body<?php echo $class ?>">
					<div class="date">
						<span class="day"><?php the_time('j'); ?></span> <span class="month-year"><?php the_time('M Y'); ?></span>
					</div>
					<div class="searchresult-content">
						<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h3>
						<?php
							$excerpt = get_the_excerpt();
							$excerpt = truncate( $excerpt, 35 );
							echo "<p>" . $excerpt . "</p>";
						?>
						<div class="meta-bottom"><span class="comments"><a href="<?php comments_link('archive.php', TRUE); ?>" title="Leave a comment for <?php the_title()?>"><?php comments_number('(0) <strong>Comments</strong>','(1) <strong>Comment</strong>','(%) <strong>Comments</strong>'); ?></a></span> <span class="tags"><?php the_category(',') ?></span></div>
					</div>
					<!-- clear -->
					<div class="clear"></div>
				</div>
				<div class="searchresult-bottom<?php echo $class ?>"></div>
			</div>
			<!-- end entry -->

			<?php $i = $i+1;?>
			
			<?php endwhile; ?>
			<?php else : ?>
			<!-- handle no postings -->
		<?php endif; ?>
	
			
		</div>
		<!-- end left col -->

		<!-- set right-col -->
		<div id="content-container-right">
		
			<?php include (TEMPLATEPATH . "/searchform.php"); ?>

			<?php include (TEMPLATEPATH . "/categories.php"); ?>

			<?php include (TEMPLATEPATH . "/blogmeta.php"); ?>

			<?php include (TEMPLATEPATH . "/blogfeeds.php"); ?>

		</div>
		<!-- end right-col -->
		
		<!-- set frame-grass -->
		<div id="frame-grass"></div>
		<!-- end frame-grass -->
		
		<!-- set main-lower-content -->
		<div id="main-lower-content">
			<!-- set low-ercontent-container -->
			<div id="lower-content-container">
			
				<?php include (TEMPLATEPATH . "/recentposts.php"); ?>
			
				<?php include (TEMPLATEPATH . "/other.php"); ?>
			
				<?php include (TEMPLATEPATH . "/flickr.php"); ?>

			</div>				
			<!-- end lower-content-container -->
			
			<!-- clear -->
			<div class="clear"></div>
				
		</div>
		<!-- set main-lower-content -->
		
		<!-- clear: this is required so columns force main-content to encapsulate the content -->
		<div class="clear"></div>
	
	</div>
	<!-- end main-content -->

<?php get_footer(); ?>