<?php
/*
Template Name: Sketchbook
*/
?>

<?php get_header(); ?>

	<!-- set main-content -->
	<div id="main-content">

		<!-- set left col -->
		<div id="content-container-left">
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<!-- set author block -->
			<div id="author-block">
				<div id="author-block-dialog">
					<p><strong><?php bloginfo('name'); ?></strong>: Insert a brief description of your blog, or yourself -- whichever. <a href="<?php bloginfo('url'); ?>/index.php/about">Read More</a></p>
				</div>
			</div>
			<!-- end author block -->

			<!-- set main-entry -->
			<div class="main-entry">
			<a name="continue"></a>
			<h2><?php the_title(); ?></h2>
				<?php the_content('<p class="serif">Read the rest of this page &raquo;</p>'); ?>
			</div>
			<!-- end main-entry -->


			<?php if ( in_category(14) ){ ?>
			<!-- set entry -->
			<div class="entry">
				<div class="date">
					<span class="month-year"><?php the_time('M Y'); ?></span> <span class="day"><?php the_time('j'); ?></span>
				</div>
				<div class="entry-content">
					<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h3>
					<?php
						$excerpt = get_the_excerpt();
						$excerpt = truncate( $excerpt, 28 );
						echo "<p>" . $excerpt . "</p>";
					?>

					<div class="meta-bottom"><span class="comments"><a href="<?php comments_link('archive.php', TRUE); ?>" title="Leave a comment for <?php the_title()?>"><?php comments_number('(0) <strong>Comments</strong>','(1) <strong>Comment</strong>','(%) <strong>Comments</strong>'); ?></a></span> <span class="tags"><?php the_category(',') ?></span></div>
				</div>
			</div>
			<!-- end entry -->
			<?php }; ?>

			<?php endwhile; endif; ?>
			
			<!-- clear -->		
			<div class="clear"></div>
        </div>
		<!-- end left col -->
		
		<!-- set right-col -->
		<div id="content-container-right">
		
			<?php include (TEMPLATEPATH . "/searchform.php"); ?>

			<?php include (TEMPLATEPATH . "/categories.php"); ?>

			<?php include (TEMPLATEPATH . "/blogmeta.php"); ?>

			<?php include (TEMPLATEPATH . "/blogfeeds.php"); ?>

		</div>
		<!-- end right-col -->

		<!-- set frame-grass -->
		<div id="frame-grass"></div>
		<!-- end frame-grass -->


		<!-- set main-lower-content -->
		<div id="main-lower-content">
			<!-- set low-ercontent-container -->
			<div id="lower-content-container">
			
				<?php include (TEMPLATEPATH . "/recentposts.php"); ?>
			
				<!-- set box-02 -->
				<div id="box-02">
					<div class="box">
						<div class="box-top">
							<div class="box-top-right">
								<div class="box-top-body"><h3 class="title">Flickr Photos</h3></div>
							</div>
						</div>
						<div class="box-body">
							<ul class="ul-listing">
								<li><a href="http://localhost/archive/123/" title="Recent Posting"><strong>Posting title goes here...</strong></a><p>December 24, 2007 - Nam egestas massa et lorem. Ut nisl mi, molestie non, mattis facilisis, laoreet vehicula, lorem...</p></li>
								<li><a href="http://localhost/archive/123/" title="Recent Posting"><strong>Posting title goes here...</strong></a><p>December 24, 2007 - Nam egestas massa et lorem. Ut nisl mi, molestie non, mattis facilisis, laoreet vehicula, lorem...</p></li>
								<li><a href="http://localhost/archive/123/" title="Recent Posting"><strong>Posting title goes here...</strong></a><p>December 24, 2007 - Nam egestas massa et lorem. Ut nisl mi, molestie non, mattis facilisis, laoreet vehicula, lorem...</p></li>
								<li><a href="http://localhost/archive/123/" title="Recent Posting"><strong>Posting title goes here...</strong></a><p>December 24, 2007 - Nam egestas massa et lorem. Ut nisl mi, molestie non, mattis facilisis, laoreet vehicula, lorem...</p></li>
								<li><a href="http://localhost/archive/123/" title="Recent Posting"><strong>Posting title goes here...</strong></a><p>December 24, 2007 - Nam egestas massa et lorem. Ut nisl mi, molestie non, mattis facilisis, laoreet vehicula, lorem...</p></li>
							</ul>
						</div>
						<div class="box-bottom">
							<div class="box-bottom-right">
								<div class="box-bottom-body"></div>
							</div>
						</div>
					</div>
				</div>
				<!-- end box-02 -->	

			
				<!-- set box-03 -->
				<div id="box-03">
					<div class="box">
						<div class="box-top">
							<div class="box-top-right">
								<div class="box-top-body"><h3 class="title">Categories</h3></div>
							</div>
						</div>
						<div class="box-body">
							<ul class="ul-listing">
								<li><a href="http://localhost/archive/123/" title="Recent Posting"><strong>Posting title goes here...</strong></a><p>December 24, 2007 - Nam egestas massa et lorem. Ut nisl mi, molestie non, mattis facilisis, laoreet vehicula, lorem...</p></li>
								<li><a href="http://localhost/archive/123/" title="Recent Posting"><strong>Posting title goes here...</strong></a><p>December 24, 2007 - Nam egestas massa et lorem. Ut nisl mi, molestie non, mattis facilisis, laoreet vehicula, lorem...</p></li>
								<li><a href="http://localhost/archive/123/" title="Recent Posting"><strong>Posting title goes here...</strong></a><p>December 24, 2007 - Nam egestas massa et lorem. Ut nisl mi, molestie non, mattis facilisis, laoreet vehicula, lorem...</p></li>
								<li><a href="http://localhost/archive/123/" title="Recent Posting"><strong>Posting title goes here...</strong></a><p>December 24, 2007 - Nam egestas massa et lorem. Ut nisl mi, molestie non, mattis facilisis, laoreet vehicula, lorem...</p></li>
								<li><a href="http://localhost/archive/123/" title="Recent Posting"><strong>Posting title goes here...</strong></a><p>December 24, 2007 - Nam egestas massa et lorem. Ut nisl mi, molestie non, mattis facilisis, laoreet vehicula, lorem...</p></li>
							</ul>
						</div>
						<div class="box-bottom">
							<div class="box-bottom-right">
								<div class="box-bottom-body"></div>
							</div>
						</div>
					</div>
				</div>
				<!-- end box-03 -->	

			</div>				
			<!-- end lower-content-container -->
			
			<!-- clear -->
			<div class="clear"></div>
				
		</div>
		<!-- set main-lower-content -->
		
		<!-- clear: this is required so columns force main-content to encapsulate the content -->
		<div class="clear"></div>

	</div>
	<!-- end main-content -->	


<?php get_footer(); ?>